## libgtkada 3.8.3

=== debian/changelog ===
libgtkada (3.8.3-1) unstable; urgency=medium

  * Build with gnat-6, gprbuild >= 2015, upload to unstable.
  * Enable all hardening flags, but PIE because we build a shared library.
    Let LDFLAGS also affect local libraries in linker command line.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 09:25:57 +0200

libgtkada (3.8.3-1~exp1) experimental; urgency=medium

  * New upstream release, built with gnat-5 and linking with gtk-3.
    Rename library and -dev packages per Ada policy.
    Drop Build-Depends: libx11-dev, example_makefiles.patch.
    GNOME support has been removed.
  * Drop OpenGL library until gtkgl2 migrates to GTK3.
  * Rely on upstream GPR-based build system.
    - give GL module the same name as upstream, obsoleting a preinst script.
    - build-flags.diff
    - clean_properly.diff
    - adapt-pkg-config-and-gtkada-config.diff
    - separate project for testgtk as example, keep it as build test.
  * Drop versioned gtkada2 compatibility project. Suggest pkg-config.
  * License switch from GPL-2+ to GPL-3+, now correct in source headers.
    Let license_readme.diff also patch some obsolete headers.
  * Repackage without GFDL documentation, copied and generated sources.
    Drop README.source and get-orig-source target.
    Patch build system to avoid building missing documents.
    Drop Janne Löf from copyright holders, gtkgl was GPL-2+ anyways.
  * Drop XS-Testsuite: autopkgtest, now added by dpkg-source automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 Jan 2016 14:41:46 +0100

libgtkada (2.24.4dfsg-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 18:14:44 +0200
