=== debian/control ===
Source: libgtkada
Section: libs
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
 autoconf, autotools-dev,
 gnat, gnat-6,
# gprbuild compatible with gnat-6
 gprbuild (>= 2015-3),
# dh-ada-library knowing that -dbg packages are obsolete.
 dh-ada-library (>= 6.7),
 pkg-config,
 python,
# gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
 libgtk-3-dev,
 libgdk-pixbuf2.0-dev,
 libcairo2-dev | libcairo-dev,
 libpango1.0-dev,
 libglib2.0-dev
Standards-Version: 3.9.8
Homepage: http://libre.adacore.com/libre/tools/gtkada
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
Vcs-Mtn: www.ada-france.org org.debian.libgtkada2

Package: libgtkada3.8.3-dev
Section: libdevel
Architecture: any
Depends: ${ada:Depends},
 libgtkada-bin (=${binary:Version}),
 libcairo2-dev | libcairo-dev,
 libgdk-pixbuf2.0-dev,
 libgtk-3-dev,
 libpango1.0-dev,
 ${misc:Depends}
Suggests: pkg-config,
 libgtkada-doc
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgtkada3.8.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc
Replaces: libgtkada2-bin
Breaks: libgtkada2-bin
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains development utilities (gtkada-dialog and gtkada-config).

Package: libgtkada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Replaces: libgtkada2-doc
Breaks: libgtkada2-doc
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains examples, lists of known problems and comments
 about the Debian packaging.
 .
 The complete GTKAda user guide cannot be distributed by Debian
 because it is licensed under the GNU Free Documentation License with
 Invariant Sections and Cover Texts. The reference manual cannot be
 generated from source without the user guide.
 They are published by upstream authors at
 http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html and
 http://docs.adacore.com/gtkada-docs/gtkada_ug/_build/html.
