## libgtkada 17.0.2017

=== debian/changelog ===
libgtkada (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).
  * No need to Break/Replace previous -dev depending on previous gnat.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 10:23:57 +0200

libgtkada (17.0.2017-1) experimental; urgency=medium

  * New upstream release built with gnat-7. No ALI/SO bump in experimental.
  * Debhelper 10.
    Let dh and dh_autoreconf generate ./configure.
    Remove explicit rules targets leading dh to run ./configure twice.
  * Standards-Version: 4.0.0.
    DEB_BUILD_OPTIONS=nodoc. HTTPS copyright format URL.
  * Drop obsolete preinst script and Break/Replace: libgtkada2-doc.
  * usr-bin-gnatchop-856274.diff to work-around gnat bug #856274.
  * Sort testgtk tar options, thanks to Steve Langasek. Closes: #831001.
  * gnat-7 handles SOURCE_DATE_EPOCH directly.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Move manpage from excluded docs/ to debian/.
  * Patch testgtk.gpr for usage outside source tree without opengl.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 07 Jul 2017 00:28:23 +0200

libgtkada (16.1.0-1) experimental; urgency=medium

  * New upstream release.
    Bump SO version, rename/break/replace -dev package per Ada policy.
  * Upstream drops support for gtkada-config and pkg-config.
    -dev does not Depend: -bin for gtkada-config nor Suggest: pkg-config.
  * Build-Depend: libfontconfig1-dev because of new binding.
  * build_flags.diff: remove part refused upstream.
  * Ensure that ./configure uses gnatgcc instead of gcc.
  * Enable PIE in hardening flags for executables.
  * Do not bother touching timestamps for C sources.
  * Make watch file more readable with version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2016 21:49:34 +0200
