=== debian/control ===
--- 
+++ 
@@ -3,37 +3,38 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
- autoconf, autotools-dev,
- gnat, gnat-6,
-# gprbuild compatible with gnat-6
- gprbuild (>= 2015-3),
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.2),
+ gnat, gnat-7,
+# This line is parsed by debian/rules.
+# gprbuild cleaning auto.cgpr after the build.
+ gprbuild (>= 2017),
 # dh-ada-library knowing that -dbg packages are obsolete.
  dh-ada-library (>= 6.7),
  pkg-config,
  python,
+# src/fontconfig.adb
+ libfontconfig1-dev | libfontconfig-dev,
 # gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
  libgtk-3-dev,
  libgdk-pixbuf2.0-dev,
  libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
  libglib2.0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://libre.adacore.com/libre/tools/gtkada
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
 Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
 
-Package: libgtkada3.8.3-dev
+Package: libgtkada16.1.0-dev
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
- libgtkada-bin (=${binary:Version}),
  libcairo2-dev | libcairo-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpango1.0-dev,
  ${misc:Depends}
-Suggests: pkg-config,
+Suggests: libgtkada-bin (=${binary:Version}),
  libgtkada-doc
 Description: Ada binding for the GTK+ GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
@@ -41,7 +42,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada3.8.3
+Package: libgtkada16.1.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -57,21 +58,18 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: gnat, libgtkada-doc
-Replaces: libgtkada2-bin
-Breaks: libgtkada2-bin
 Description: Ada binding for the GTK+ GUI (development utilities)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
  .
- This package contains development utilities (gtkada-dialog and gtkada-config).
+ This package contains the gtkada-dialog development utility.
 
 Package: libgtkada-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: gnat
-Replaces: libgtkada2-doc
-Breaks: libgtkada2-doc
 Description: Ada binding for the GTK+ GUI (documentation)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
