=== debian/tests/control ===
Tests: link-with-shared
Restrictions: allow-stderr
Depends: @, xvfb, xauth, gprbuild
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.
