## libgtkada 18

=== debian/changelog ===
libgtkada (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:00 +0200

libgtkada (18-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 9 Jun 2018 17:26:03 +0200

libgtkada (17.0.2017-4) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev packages per Debian Ada policy.
    Drop obsolete Break/Replace with older -dev.
  * Delete watch file. Explain why in README.source.
  * Update upstream Home page.
  * Let run time test produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 14:45:38 +0200

libgtkada (17.0.2017-3) unstable; urgency=medium

  * Break+Replace: previous -dev per Ada policy. Closes: #892148.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 16:29:00 +0200

libgtkada (17.0.2017-3~exp1) experimental; urgency=medium

  * update-gtk-gir.diff: use obsolete Gtk-3.0.gir with recent libgtk-dev.
    Implies a new ALI version because the generated Ada have changed, but
    also a new SO version: the new enumeration values will be passed to
    existing callbacks by recent GTK runtimes.
  * Debhelper 11. Move docs to /u/s/doc/libgtkada*-dev.
  * Remove trailing whitespaces in this changelog.
  * Build-Depend: drop obsolete restriction on dpkg-dev version.
  * Standards-Version: 4.1.3 without changes.
  * Update Vcs-Mtn to new monotone URI format.
  * Remove duplicate build flags.
  * Example archive: stop embedding backup file and unreproducible data.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Feb 2018 21:22:51 +0100
