=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.2),
- gnat, gnat-7,
-# This line is parsed by debian/rules.
+Build-Depends: debhelper (>= 11),
+ gnat, gnat-8,
+# This line is parsed to set gnat version.
 # gprbuild cleaning auto.cgpr after the build.
  gprbuild (>= 2017),
 # dh-ada-library knowing that -dbg packages are obsolete.
@@ -20,12 +20,13 @@
  libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
  libglib2.0-dev
-Standards-Version: 4.0.1
-Homepage: http://libre.adacore.com/libre/tools/gtkada
+Standards-Version: 4.1.4
+Homepage: https://www.adacore.com/community
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
-Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
+Vcs-Mtn: mtn://monotone.ada-france.org?org.debian.libgtkada2
 
-Package: libgtkada16.1.0-dev
+Package: libgtkada18-dev
+# This line is parsed to set Ada Library Information version.
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
@@ -42,7 +43,8 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada16.1.0
+Package: libgtkada18
+# This line is parsed to set the Shared Object version.
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
