=== debian/rules ===
--- 
+++ 
@@ -28,25 +28,23 @@
 
 ######################################################################
 
-define new_line :=
-
-
-endef
-$(eval $(addsuffix $(new_line),$(shell sed -n '\
+$(foreach line,$(shell sed -n '\
   s/^ gnat, gnat-\([0-9.]\+\),$$/ \
     GNAT_VERSION:=\1 \
+  /p;\
+  s/^Package: \(libgtkada[0-9.]\+-dev\)$$/ \
+    dev_pkg:=\1 \
   /p;\
   s/^Package: libgtkada\([0-9.]\+\)$$/ \
     PACKAGE_VERSION:=\1 \
   /p;\
-  ' debian/control)))
+  ' debian/control),$(eval $(line)))
 
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-
-ADAFLAGS += -Wall -Wextra -fstack-check -gnatVa -gnatafo
+ADAFLAGS += -gnatVa -gnatafo
 
 # Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
 # either built in gcc or provided by -lm, depending on the architecture.
@@ -102,22 +100,28 @@
 # uncompress them separately.
 # Remove objects and executables.
 TESTGTK_TGZ := testgtk.tgz
-testgtk_exclude := obj/* test_rtree testgtk
+testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr.orig
 testgtk_gpr := testgtk/testgtk.gpr
+reproducible_tar_options := --owner=0 --group=0 --numeric-owner
+reproducible_gz_options  := --no-name
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build-indep: $(TESTGTK_TGZ)
 endif
 $(TESTGTK_TGZ):
 	patch -b $(testgtk_gpr) debian/testgtk-no-opengl.diff
+	GZIP='$(reproducible_gz_options)' \
 	tar --create --auto-compress --file=$@ \
+	  $(reproducible_tar_options) \
 	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) \
 	  testgtk
-	rm $(testgtk_gpr)
-	mv $(testgtk_gpr).orig $(testgtk_gpr)
+  # Restore the project, so that the clean target works as expected.
+	mv -f $(testgtk_gpr).orig $(testgtk_gpr)
 override_dh_auto_clean::
-	if test -e $(testgtk_gpr).orig; then \
-	  rm $(testgtk_gpr); \
-	  mv $(testgtk_gpr).orig $(testgtk_gpr); \
-	fi
 	rm -f $(TESTGTK_TGZ)
+
+doc_main_tools := override_dh_installdocs override_dh_installexamples
+.PHONY: $(doc_main_tools)
+$(doc_main_tools): override_%:
+	$* --package=libgtkada-doc --doc-main-package=$(dev_pkg)
+	$* --remaining-packages
