## libgtkada 19

=== debian/changelog ===
libgtkada (19-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Wrap and sort build dependencies.
  * Standards-Version: 4.5.0.
  * Drop redundant branch from Vcs-Git.
  * Let rules include only needed dpkg-dev Makefile snippet.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 12:09:06 +0100

libgtkada (19-3) experimental; urgency=medium

  * Last version breaks the complex work-around for #695055.
    Use a more simple way to link with -lm when necessary.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 02 Sep 2019 22:55:48 +0200

libgtkada (19-2) experimental; urgency=medium

  * Update the Python scripts from 2 to 3. Closes: #936871.
  * Replace deprecated GZIP variable with command-line options.
  * Simplify and forward patches.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Sep 2019 20:56:19 +0200

libgtkada (19-1) experimental; urgency=medium

  * New upstream release. Build with gcc-9.
    Rename lib and dev packages per Ada policy.
  * Debhelper 12.
  * Standards-Version: 4.4.0.
  * Rules-Requires-Root: no.
  * Move packaging history to salsa.debian.org.
  * Disable usr-bin-gnatchop-856274.diff, workaround for fixed compiler bug.
  * Ask for more linker warnings (--as-needed is the default with gcc-9).
  * Let tests be more verbose.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Aug 2019 12:56:39 +0200
