=== debian/control ===
--- 
+++ 
@@ -3,38 +3,39 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-ada-library,
+ gnat, gnat-9,
 # This line is parsed to set gnat version.
 # gprbuild cleaning auto.cgpr after the build.
  gprbuild (>= 2017),
-# dh-ada-library knowing that -dbg packages are obsolete.
- dh-ada-library (>= 6.7),
- pkg-config,
- python,
+ libcairo2-dev | libcairo-dev,
 # src/fontconfig.adb
  libfontconfig1-dev | libfontconfig-dev,
 # gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
+ libgdk-pixbuf2.0-dev,
+ libglib2.0-dev,
  libgtk-3-dev,
- libgdk-pixbuf2.0-dev,
- libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
- libglib2.0-dev
-Standards-Version: 4.1.4
+ pkg-config,
+# Makefile.in
+ python3,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.adacore.com/community
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
-Vcs-Mtn: mtn://monotone.ada-france.org?org.debian.libgtkada2
+Vcs-Browser: https://salsa.debian.org/debian/libgtkada
+Vcs-Git: https://salsa.debian.org/debian/libgtkada.git
 
-Package: libgtkada18-dev
+Package: libgtkada19-dev
 # This line is parsed to set Ada Library Information version.
 Section: libdevel
 Architecture: any
-Depends: ${ada:Depends},
+Depends: ${ada:Depends}, ${misc:Depends},
  libcairo2-dev | libcairo-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpango1.0-dev,
- ${misc:Depends}
 Suggests: libgtkada-bin (=${binary:Version}),
  libgtkada-doc
 Description: Ada binding for the GTK+ GUI (development files)
@@ -43,7 +44,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada18
+Package: libgtkada19
 # This line is parsed to set the Shared Object version.
 Architecture: any
 Multi-Arch: same
