=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for libgtkada
 # Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2011-2017 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2011-2019 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # /usr/share/common-licenses/GPL-3 on Debian systems.
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 # Declaring these targets prevent dh calling upstream build system directly.
 .PHONY: $(addprefix override_dh_auto_, \
@@ -40,15 +40,13 @@
   /p;\
   ' debian/control),$(eval $(line)))
 
+DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafo
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-ADAFLAGS += -gnatVa -gnatafo
-
-# Work-around for gnat bug #717014: gtkada-canvas.adb uses math functions
-# either built in gcc or provided by -lm, depending on the architecture.
-LIBS := -lm
 
 # Note: despite what the help string says, --enable-shared does *not*
 # link tools dynamically when both libraries are built. We use
@@ -63,10 +61,13 @@
 	  --enable-shared \
 	  --disable-static-pic \
 	  '--includedir=$${prefix}/share/ada/adainclude' \
-	  $(foreach f,CC CFLAGS CPPFLAGS LDFLAGS LIBS PACKAGE_VERSION,"$(f)=$($(f))")
+	  $(foreach f,CC CFLAGS CPPFLAGS LDFLAGS PACKAGE_VERSION,"$(f)=$($(f))")
 
  # Used by -arch (compilation) and -indep (testgtk.tgz).
 	$(MAKE) src/gtkada-intl.adb testgtk/opengl/view_gl.adb
+# Upstream is not interested in cleaning src/gtkada-intl.adb.
+override_dh_auto_clean::
+	$(RM) src/gtkada-intl.adb
 
 override_dh_auto_build-arch:
  # Instead of running default target all: static relocatable tools tests,
@@ -82,11 +83,10 @@
 override_dh_auto_build-arch: | src/generated
 src/generated:
 	mkdir src/generated
- # Requires python package.
-	$(MAKE) generate
+	$(MAKE) generate PYTHON=python3
 override_dh_auto_clean::
-	rm -fr src/generated
-	rm -f contrib/*.pyc src/misc_generated.c
+	rm -fr src/generated contrib/__pycache__
+	rm -f src/misc_generated.c
 
 override_dh_auto_test-arch:
 	$(MAKE) tests \
@@ -110,11 +110,10 @@
 endif
 $(TESTGTK_TGZ):
 	patch -b $(testgtk_gpr) debian/testgtk-no-opengl.diff
-	GZIP='$(reproducible_gz_options)' \
-	tar --create --auto-compress --file=$@ \
+	tar --create \
 	  $(reproducible_tar_options) \
 	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) \
-	  testgtk
+	  testgtk | gzip $(reproducible_gz_options) > $@
   # Restore the project, so that the clean target works as expected.
 	mv -f $(testgtk_gpr).orig $(testgtk_gpr)
 override_dh_auto_clean::
