## libgtkada 21.0.0.785f3cf4

=== docs/Makefile ===

all::
	${MAKE} -C gtkada_rm
	${MAKE} -C gtkada_ug html latexpdf

clean::
	${MAKE} -C gtkada_rm clean
	${MAKE} -C gtkada_ug clean

distclean::
	${MAKE} -C gtkada_rm distclean
	${MAKE} -C gtkada_ug distclean
