=== debian/changelog ===
libgtkada (21.0.0.785f3cf4-3) unstable; urgency=medium

  * Fix tests: testgtk.tgz/view_gl.adb was missing after -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Dec 2020 10:31:58 +0000

libgtkada (21.0.0.785f3cf4-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
    The propagation of a patch updating python2 code closes: #975818.
  * Fix copy/paste error in upstream/metadata.

  [ Simon McVittie <smcv@debian.org> ]
  * Build-depend on libgdk-pixbuf-2.0-dev instead of libgdk-pixbuf2.0-dev.
    Closes: #976028.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:37:34 +0100

libgtkada (21.0.0.785f3cf4-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes the GFDL-1.3+ invariant sections from the User Guide.
    There is no need to repackage anymore.
  * Upstream recommends to watch github instead of the community website.
  * Move cleaning from debian/rules to debian/clean.
  * Change global section from libs to libdevel.
  * Merge copyright stanzas with the same license.
  * Split Build-Dependencies between -arch and -indep.
  * Set CC=gnatgcc (dpkg/buildtools.mk may be different).
  * Install examples into -doc package.
  * Add upstream/metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 31 Oct 2020 14:07:42 +0000

libgtkada (20-1) experimental; urgency=medium

  * Build with gcc-10. Rename lib and -dev accordingly.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 May 2020 12:14:08 +0000
