=== debian/control ===
Source: libgtkada
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
# Required by debian/rules for gnatprep during -indep builds:
 gnat,
Build-Depends-Arch:
 dh-ada-library (>= 7.2),
 dh-sequence-ada-library,
 gnat-10,
# This line is parsed to set gnat version.
 gprbuild (>= 2021.0.0.0778b109-2),
 libcairo2-dev | libcairo-dev,
# src/fontconfig.adb
 libfontconfig-dev,
# gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpango1.0-dev,
 pkg-config,
# Makefile.in
 python3,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
 python3-sphinx,
 sphinx-common,
 texlive-fonts-recommended,
 texlive-latex-extra,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AdaCore/gtkada
Vcs-Browser: https://salsa.debian.org/debian/libgtkada
Vcs-Git: https://salsa.debian.org/debian/libgtkada.git

Package: libgtkada20-dev
# This line is parsed to set Ada Library Information version.
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends},
Suggests: libgtkada-bin (=${binary:Version}),
 libgtkada-doc
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgtkada20
# This line is parsed to set the Shared Object version.
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the gtkada-dialog development utility.

Package: libgtkada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the user guide, examples, lists of known
 problems and comments about the Debian packaging.
 .
 The reference manual cannot be generated within Debian for now.
 It is available at
 https://docs.adacore.com/live/wave/gtkada/html/gtkada_rm/index.html.
