=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gtkada-$1.tar.gz%" \
https://github.com/AdaCore/gtkada/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
