## libgtkada 22.0.0

=== debian/changelog ===
libgtkada (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 19:40:09 +0200

libgtkada (22.0.0-1) experimental; urgency=medium

  * Build new upstream release with gcc-11.
    Rename lib and -dev packages accordingly.
  * Build-Depend: tex-gyre for tgterms.sty. Closes: #997458.
  * Add sphinxdoc:{Built-Using,Depends} to -doc. Closes: #989327.
  * Standards-Version: 4.6.0
  * Use unversioned debian_packaging.mk from gnat package.
    It is present during both -arch and -indep builds.
  * Disable some validity checks becauso of #998177.
  * uscan: drop unused filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 14:52:49 +0000
