=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
 # Required by debian/rules for gnatprep during -indep builds:
  gnat,
 Build-Depends-Arch:
- dh-ada-library (>= 7.2),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
- gnat-10,
-# This line is parsed to set gnat version.
+ gnat-11,
  gprbuild (>= 2021.0.0.0778b109-2),
  libcairo2-dev | libcairo-dev,
 # src/fontconfig.adb
@@ -30,15 +29,16 @@
  latexmk,
  python3-sphinx,
  sphinx-common,
+ tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gtkada
 Vcs-Browser: https://salsa.debian.org/debian/libgtkada
 Vcs-Git: https://salsa.debian.org/debian/libgtkada.git
 
-Package: libgtkada20-dev
+Package: libgtkada21-dev
 # This line is parsed to set Ada Library Information version.
 Architecture: any
 Depends: ${ada:Depends}, ${misc:Depends},
@@ -50,7 +50,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada20
+Package: libgtkada21
 # This line is parsed to set the Shared Object version.
 Section: libs
 Architecture: any
@@ -77,7 +77,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Suggests: gnat
 Description: Ada binding for the GTK+ GUI (documentation)
  GtkAda is a library that allows programmers to write GTK+ applications in the
