=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for libgtkada
 # Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2011-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2011-2022 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -25,22 +25,22 @@
 
 ######################################################################
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
-  s/^Package: libgtkada\([0-9.]\+\)$$/     soversion:=\1    /p;\
-  ' debian/control),$(eval $(line)))
+soversion != \
+  sed -n '/^Package: libgtkada\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
-DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafo
+# -gnatVa triggers #998177.
+DEB_ADAFLAGS_MAINT_APPEND := -gnatVcdefimnoprst -gnatafo
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DEB_LDFLAGS_MAINT_APPEND := \
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
+DEB_GPRBUILDFLAGS_NO_J := 1
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
-# wildcard in case only Build-Depends-Indep are installed.
+include /usr/share/dpkg/buildopts.mk
+include /usr/share/ada/debian_packaging.mk
 
 # Note: despite what the help string says, --enable-shared does *not*
 # link tools dynamically when both libraries are built. We use
@@ -66,14 +66,14 @@
  # - run tests only if DEB_BUILD_OPTIONS does not contain nocheck.
 	dh_auto_build -- static relocatable tools \
 	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
-	  PROCESSORS=$(BUILDER_JOBS) \
-	  GPRBUILD_OPTIONS='$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))'
+	  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL)) \
+	  GPRBUILD_OPTIONS='$(GPRBUILDFLAGS)'
 
 override_dh_auto_test-arch:
 	dh_auto_test -- \
 	  LIBRARY_TYPE_FOR_TOOLS=relocatable \
-	  PROCESSORS=$(BUILDER_JOBS) \
-	  GPRBUILD_OPTIONS='$(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))'
+	  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL)) \
+	  GPRBUILD_OPTIONS='$(GPRBUILDFLAGS)'
 
 # Archive testgtk sources, so that the user does not need to
 # uncompress them separately.
@@ -90,7 +90,8 @@
 endif
 
 docs/gtkada_ug/_build/GtkAda.html:
-	dh_auto_build --sourcedir=docs/gtkada_ug -- latexpdf html
+	dh_auto_build --sourcedir=docs/gtkada_ug -- latexpdf html \
+	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
   # libgtkada-doc.docs cannot rename files.
 	mv docs/gtkada_ug/_build/html docs/gtkada_ug/_build/GtkAda.html
